QB_LIST_IS_LAST(3)

NAME
qb_list_is_last - Tests whether list is the last entry in list head.

SYNOPSIS
#include <qb/qblist.h>

static int qb_list_is_last(
    const struct qb_list_head   *list,  /* the entry to test */
    const struct qb_list_head   *head   /* the head of the list */
);

PARAMS
list the entry to test

head the head of the list

DESCRIPTION

STRUCTURES

struct qb_list_head {

    struct   next;

    struct   prev;
};

RETURN VALUE

boolean true/false

SEE ALSO

qb_list_empty(3), qb_list_add_tail(3), qb_list_add(3), qb_list_splice_tail(3), qb_list_length(3), qb_list_replace(3), qb_list_init(3), qb_list_splice(3), qb_list_del(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.